Working with Oracle Enterprise 8.1.7 (32-bit) on HP-UX 11.0
I installed 8.1.7.4 patch on 8.1.7.0 without any problems on 2 separate servers.

Installing on the 3rd server the runInstaller shows message something like... "No Oracle 8.1.7.4 components need to be installed"

Even though I have inherited these systems from other people, I am quite sure that noone has installed 8.1.7.4 patch; then we does the system think the patch is not needed.

select * from v$version shows version 8.1.7.0

Where else can I check to resolve this issue.
Thanks,
-Rajeev